{% extends '@PiCRUD/item_default.html.twig' %}

{% block item %}
    {% if entity.unavailable %}
        {% set class_primary = 'warning' %}
    {% endif %}
    {{ parent() }}
{% endblock %}

{% block item_content %}
    {% if entity.unavailable %}
        <div class="w-100 text-warning text-center font-weight-bold py-2 my-2 border-top border-bottom border-warning">
            <i class="fa fa-exclamation-triangle"></i> Déplacement des balises en cours <i class="fa fa-exclamation-triangle"></i>
        </div>
    {% endif %}
    {{ parent() }}
{% endblock %}

{% block item_link %}
    {% if entity.file is defined and entity.file is not empty %}
        <a title="Fichier carte de {{ entity.title }}" itemid="{{ 'files/' ~ entity.file.fileName }}" href="{{ 'files/' ~ entity.file.fileName }}" class="btn btn-{{ class_primary}} stretched-link btn-download-map-file">Télécharger la carte</a>
    {% endif %}
{% endblock %}
